#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os, re
import time
import urllib2, xml.dom.minidom
import sys
#import gconf
import BeautifulSoup as BS
import json

def unescape_html(text):
    return BS.BeautifulStoneSoup(text, convertEntities=BS.BeautifulStoneSoup.HTML_ENTITIES).contents[0]

def get_lang():
    lang = os.environ.get("LANG")
    n = lang.split('_')
    lang = "fr"
    if n[0] in ("fr","de"):
        lang = n[0]
    return lang

time_re = re.compile("^\d\d[h:]\d\d$")
fr_monthes = ["janvier", "fevrier", "mars", "avril", "mai", "juin", "juillet", "août", "septembre", "octobre", "novembre", "décembre"]
de_monthes = ["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"]
def parse_date( date_str ):
    date_array = date_str.split(",")
    if time_re.search( date_array[-1].strip() ) is None:
        return ""
    time_ = date_array[-1].strip()
    if date_array[0].strip() in ("Aujourd'hui", "Heute"):
        date_ = time.strftime( "%Y %m %d" )
    elif date_array[0].strip() in ("Hier", "Gestern"):
        date_ = time.strftime( "%Y %m %d", time.localtime(time.time() - (24*60*60)) )
    else:
        array = date_array[1].split()
        day = array[0].strip(".")
        month = array[1]
        for arr in (fr_monthes, de_monthes):
            if array[1] in arr:
                month = "%02d" % (arr.index(array[1])+1)
        year = array[2]
        date_ = "%s %s %s" % (year, month, day)
    return date_ + ", " + time_

class Catalog:

  # Constantes
  ARTE_WEB_ROOT = 'http://www.arte.tv'
  ARTE_WEB_JSON = 'http://www.arte.tv/guide/fr/plus7.json'
  INDEX_TAG = 'index'
  TITLE_TAG = 'bigTitle'
  DATE_TAG = 'startDate'
  URL_TAG = 'targetURL'
  RESUME_TAG = 'resume'
  DURATION_TAG = 'duration'
  IMAGE_TAG = 'previewPictureURL'
  
  # Contenu du catalogue
  videos = []

  def __init__(self):
    lang = "/%s/" % get_lang()
    max_video_displayed = 200
    try:
      ul = urllib2.urlopen( self.ARTE_WEB_JSON )
      json_content = ul.read()
      content = json.loads( json_content )
      for obj in content['videos']:
         video = dict()
         video['previewPictureURL'] = obj['image_url']
         video['targetURL'] = obj['url']
         video['bigTitle'] = obj['title']
         video['startDate'] = obj['airdate_long']
         video['duration'] = int(obj['duration'])
         try:
             video['resume'] = obj['desc'].rstrip()
         except AttributeError:
             video['resume'] = ''
         self.videos.append(video)
         #if len(self.videos)>5: break
      print len(self.videos), "videos were found to be downloadable !"
    except IOError:
      print _("There is a problem with your internet connection")
      sys.exit(0)

